"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleRecordTaskRuns = handleRecordTaskRuns;
exports.handleGetFlakyTasks = handleGetFlakyTasks;
const task_history_1 = require("../../utils/task-history");
let taskHistory;
function getTaskHistory() {
    if (!taskHistory) {
        taskHistory = new task_history_1.TaskHistory();
    }
    return taskHistory;
}
async function handleRecordTaskRuns(taskRuns) {
    const taskHistory = getTaskHistory();
    await taskHistory.recordTaskRuns(taskRuns);
    return {
        response: 'true',
        description: 'handleRecordTaskRuns',
    };
}
async function handleGetFlakyTasks(hashes) {
    const taskHistory = getTaskHistory();
    const history = await taskHistory.getFlakyTasks(hashes);
    return {
        response: JSON.stringify(history),
        description: 'handleGetFlakyTasks',
    };
}
